// Gradient background 

html {
    height: 100%;
}

body {
    height: 100%;
    background: linear-gradient(12deg, #ff4444 50%, #4285F4 50%);
    background-repeat: no-repeat;
}

// Main component
#app {
    height: 100%;
    width: 100%;
    overflow-y: auto
}

.fade-enter-active, .fade-leave-active {
    transition: opacity 0.8s
}

.fade-enter, .fade-leave-active {
    opacity: 0
}

.roundbutton {
    position: absolute !important;
    right: 10px;
    bottom: -40px;
    font-size: 1.5rem;
    padding: 0;
    margin: 10px;
    overflow: hidden;
    cursor: pointer;
    border-radius: 50%;
    -webkit-box-shadow: 0 5px 11px 0 rgba(0,0,0,0.18),0 4px 15px 0 rgba(0,0,0,0.15);
    box-shadow: 0 5px 11px 0 rgba(0,0,0,0.18),0 4px 15px 0 rgba(0,0,0,0.15);
    width: 57px;
    height: 57px;
}

.taskrow {
    min-height: 20px;
    cursor: pointer;
}

.taskrow:hover {
    border-left: 2px solid;
    border-left-color: #aa66cc !important;
}

.inactive {
    text-decoration: line-through;
}

.inactivecolor {
    color: #e0e0e0 ;
}

// Modal

.vdatetime-input {
    -webkit-box-sizing: content-box;
    box-sizing: content-box;
    background-color: transparent;
    border: none;
    border-bottom: 1px solid #ced4da;
    border-radius: 0;
    outline: none;
    -webkit-box-shadow: none;
    box-shadow: none;
    -webkit-transition: border-color 0.15s ease-in-out,-webkit-box-shadow 0.15s ease-in-out;
    transition: border-color 0.15s ease-in-out,-webkit-box-shadow 0.15s ease-in-out;
    transition: border-color 0.15s ease-in-out,box-shadow 0.15s ease-in-out;
    transition: border-color 0.15s ease-in-out,box-shadow 0.15s ease-in-out,-webkit-box-shadow 0.15s ease-in-out;
}

.vdatetime {
    position: relative;
}

.vdatetime label {
    max-width: 100%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    position: absolute;
    top: 0;
    left: 0;
    font-size: 1rem;
    color: #757575;
    cursor: text;
    -webkit-transition: color .2s ease-out, -webkit-transform .2s ease-out;
    transition: color .2s ease-out, -webkit-transform .2s ease-out;
    transition: transform .2s ease-out, color .2s ease-out;
    transition: transform .2s ease-out, color .2s ease-out, -webkit-transform .2s ease-out;
    -webkit-transform: translateY(12px);
    transform: translateY(12px);
    -webkit-transform-origin: 0% 100%;
    transform-origin: 0% 100%;
}

.vdatetime label.active {
    -webkit-transform: translateY(-14px) scale(0.8);
    transform: translateY(-14px) scale(0.8);
}